### Class

# GUPnPAV CDSLastChangeParser

#### Description [src]

    class GUPnPAV.CDSLastChangeParser : GObject.Object
    {
      /* No available fields */
    }

LastChange parser for the format used in ContentDirectory:3

`GUPnPCDSLastChangeParser` parses XML strings from ContentDirectory’s LastChange state variable.

Unfortunately this is different enough from the renderer’s LastChange syntax that it warrants a different parser.

#### Ancestors

- GObject

#### Constructors

###### gupnp_cds_last_change_parser_new

Create a new `GUPnPCDSLastChangeParser`.

#### Instance methods

###### gupnp_cds_last_change_parser_parse

Parse a LastChange XML document in the flavor defined by the ContentDirectory:3 specification.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVCDSLastChangeParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.